unit Unit14;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, pngimage, ExtCtrls;

type
  TForm14 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Edit2: TEdit;
    Button2: TButton;
    Label14: TLabel;
    Label15: TLabel;
    Edit3: TEdit;
    Button3: TButton;
    Label16: TLabel;
    Image1: TImage;
    Button4: TButton;
    Label17: TLabel;
    Edit1: TEdit;
    Label19: TLabel;
    Edit4: TEdit;
    Edit5: TEdit;
    Label18: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Label6Click(Sender: TObject);
    procedure Label8Click(Sender: TObject);
    procedure Label9Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);




  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form14: TForm14;

implementation

uses Unit13, Unit15, Unit3;

{$R *.dfm}

procedure TForm14.Button1Click(Sender: TObject);

begin

if (edit1.Text='DA') and (edit4.text='EB') and (edit5.Text='CF') then begin label2.Caption:='corect';
                                                                            label2.Font.Color:=clgreen;
                       end
else begin label2.caption:='gresit';
           label2.Font.Color:=clred;



end;
end;

procedure TForm14.Button2Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(edit2.Text);
if s='8' then begin label14.caption:='corect';
                    label14.font.color:=clgreen;
end
else begin label14.Caption:='gresit';
           label14.Font.Color:=clred;
end;

end;

procedure TForm14.Button3Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(edit3.text);
if s='256' then begin label16.caption:='corect';
                       label16.Font.Color:=clgreen;
end
else begin label16.Caption:='gresit';
           label16.Font.Color:=clred;
end;

end;
procedure TForm14.Button4Click(Sender: TObject);
begin
form3.Show;
form14.Visible:=false;
end;

procedure TForm14.Image1Click(Sender: TObject);
begin
form13.show;
form14.Visible:=false;
end;

procedure TForm14.Image2Click(Sender: TObject);
begin
form15.show;
form14.Visible:=false;
end;

procedure TForm14.Label6Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(label6.caption);
if s='label6' then begin label7.Caption:='corect';
                         label7.Font.Color:=clgreen;
end
else begin label7.Caption:='gresit';
           label7.Font.Color:=clred;
end;
end;



procedure TForm14.Label8Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(label8.Caption);
if s='label8' then begin label7.Caption:='corect';
                         label7.Font.Color:=clgreen;
                     end
else begin label7.Caption:='gresit';
           label7.Font.Color:=clred;
end;
end;
procedure TForm14.Label9Click(Sender: TObject);
var s:string;
begin
s:=UpperCase(label9.Caption);
if s='label9' then begin label7.Caption:='gresit';
                   label7.Font.Color:=clred;
end
else begin label7.caption:='corect';
            label7.font.color:=clgreen;
end;
end;
end.
